Package ru.bitel.bgbilling.modules.card.server.bean

# Class BGMacrosFormat

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.util.MacrosFormat
ru.bitel.bgbilling.modules.card.server.bean.BGMacrosFormat

public class BGMacrosFormat extends ru.bitel.common.util.MacrosFormat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGMacrosFormat(Connection con, int mid, int cid)`
  `BGMacrosFormat(Connection con, int mid, Contract contract)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BalanceUtils`
  `getBalanceUtils()`
  `Contract`
  `getContract(int cid)`
  `ContractManager`
  `getContractManager1()`
  `List<ContractParameterGroupAttr>`
  `getContractParameterPrefs()`
  `protected Object`
  `invoke(String macros, Object[] args)`

  ### Methods inherited from class ru.bitel.common.util.MacrosFormat

  `format, format, format, format, getDouble, getInt, getString, invoke, main, setPattern`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGMacrosFormat

    public BGMacrosFormat(Connection con, int mid, int cid)

  - ### BGMacrosFormat

    public BGMacrosFormat(Connection con, int mid, Contract contract)

- ## Method Details

  - ### getContractParameterPrefs

    public List<ContractParameterGroupAttr> getContractParameterPrefs()

  - ### getBalanceUtils

    public BalanceUtils getBalanceUtils()

  - ### getContractManager1

    public ContractManager getContractManager1()

  - ### getContract

    public Contract getContract(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### invoke

    protected Object invoke(String macros, Object[] args) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `invoke` in class `ru.bitel.common.util.MacrosFormat`
    Throws:
      `ru.bitel.bgbilling.common.BGException`